package com.bocloud.cmp.model;

public class AlarmRelationModel {
    private Long id;// ID
    private Long ruleId;// 告警规则ID
    private Long policyId;// 分发策略ID
    private String name;// 分发策略名称
    private Long waitTime;// 超出未处理时间
    private Boolean isInfo;// 常规告警级别
    private Boolean isWarn;// 普通告警级别
    private Boolean isCrit;// 严重告警级别
    private Boolean isMessage;// 发送站内信
    private Boolean isEmail;// 发送邮件

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the ruleId
     */
    public Long getRuleId() {
        return ruleId;
    }

    /**
     * @param ruleId the ruleId to set
     */
    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    /**
     * @return the policyId
     */
    public Long getPolicyId() {
        return policyId;
    }

    /**
     * @param policyId the policyId to set
     */
    public void setPolicyId(Long policyId) {
        this.policyId = policyId;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the waitTime
     */
    public Long getWaitTime() {
        return waitTime;
    }

    /**
     * @param waitTime the waitTime to set
     */
    public void setWaitTime(Long waitTime) {
        this.waitTime = waitTime;
    }

    /**
     * @return the isInfo
     */
    public Boolean getIsInfo() {
        return isInfo;
    }

    /**
     * @param isInfo the isInfo to set
     */
    public void setIsInfo(Boolean isInfo) {
        this.isInfo = isInfo;
    }

    /**
     * @return the isWarn
     */
    public Boolean getIsWarn() {
        return isWarn;
    }

    /**
     * @param isWarn the isWarn to set
     */
    public void setIsWarn(Boolean isWarn) {
        this.isWarn = isWarn;
    }

    /**
     * @return the isCrit
     */
    public Boolean getIsCrit() {
        return isCrit;
    }

    /**
     * @param isCrit the isCrit to set
     */
    public void setIsCrit(Boolean isCrit) {
        this.isCrit = isCrit;
    }

    /**
     * @return the isMessage
     */
    public Boolean getIsMessage() {
        return isMessage;
    }

    /**
     * @param isMessage the isMessage to set
     */
    public void setIsMessage(Boolean isMessage) {
        this.isMessage = isMessage;
    }

    /**
     * @return the isEmail
     */
    public Boolean getIsEmail() {
        return isEmail;
    }

    /**
     * @param isEmail the isEmail to set
     */
    public void setIsEmail(Boolean isEmail) {
        this.isEmail = isEmail;
    }
}
